Subject: Re: AP firmware for TI wl1251 wifi chip (wl1251-fw-ap.bin)

From: Pali Rohár <[email-masked]>
Date: Wed, 6 Apr 2016 14:12:43 +0200

On Wednesday 06 April 2016 13:30:22 Machani, Yaniv wrote:
> On Mon, Apr 04, 2016 at 15:39:44, Pali Rohár wrote:
> > > In linux-firmware repository [1] is missing AP firmware for TI
> > > wl1251 chip. There is only STA firmware wl1251-fw.bin which
> > > supports managed and ad-hoc modes.
> > > 
> > > For other TI wilink chips there are <CHIP>-ap.bin firmware files
> > > (wl1271-fw-ap.bin and wl128x-fw-ap.bin) which support AP mode.
> > > But for
> > > wl1251 firmware file with guessed name "wl1251-fw-ap.bin" is
> > > missing.
> > > 
> > > Do you have any idea what happened with AP firmware for ti
> > > wilink4 wl1251 wifi chip? Or where can be found? Guys from TI,
> > > can you help?
> > > 
> > > I see that STA firmware was added into linux-firmware tree in
> > > year 2013 by this pull request [2].
> > > 
> > > [1] -
> > > https://git.kernel.org/cgit/linux/kernel/git/firmware/linux-firmw
> > > are .g
> > > it/tree/ti-connectivity
> > > 
> > > [2] -
> > > http://thread.gmane.org/gmane.linux.kernel/1566500/focus=1571382
> > 
> > Hi! Anybody has some idea about that AP firmware?
> 
> Hi,
> wl1251 does not support AP mode, so there is no firmware for it in
> the tree.
> 
> Regards,
> Yaniv

Hi Yaniv! I read on some TI whitepaper, that wl1251 hardware supports 
some Soft-AP mode. So I expect that either special FW is needed for it 
or somehow it is possible to use current released. Do you have any 
information about it?

-- 
Pali Rohár
[email-masked]